alawadi.cloudDocs
API Reference

Projects API

Create, list, and manage projects: one private network for an app stack.

A project is one private network for a full app stack. See Projects & services for the concepts behind these endpoints.

GET
/v1/projects

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer JWT obtained after Google sign-in in the portal.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "namespace": "tenant-3f2a",
    "status": "provisioning",
    "plan": "starter",
    "service_count": 0,
    "app_count": 0,
    "database_count": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "region_code": "me-central-1",
    "region_display_en": "UAE",
    "region_display_ar": "الإمارات"
  }
]
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}
POST
/v1/projects

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer JWT obtained after Google sign-in in the portal.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "my-shop",    "region_code": "me-central-1"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "namespace": "tenant-3f2a",
  "status": "provisioning",
  "plan": "starter",
  "service_count": 0,
  "app_count": 0,
  "database_count": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "region_code": "me-central-1",
  "region_display_en": "UAE",
  "region_display_ar": "الإمارات"
}
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}
Empty
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}
GET
/v1/projects/{projectId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer JWT obtained after Google sign-in in the portal.

In: header

Path Parameters

projectId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "namespace": "tenant-3f2a",
  "status": "provisioning",
  "plan": "starter",
  "service_count": 0,
  "app_count": 0,
  "database_count": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "region_code": "me-central-1",
  "region_display_en": "UAE",
  "region_display_ar": "الإمارات"
}
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}
PUT
/v1/projects/{projectId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer JWT obtained after Google sign-in in the portal.

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "my-shop"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "namespace": "tenant-3f2a",
  "status": "provisioning",
  "plan": "starter",
  "service_count": 0,
  "app_count": 0,
  "database_count": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "region_code": "me-central-1",
  "region_display_en": "UAE",
  "region_display_ar": "الإمارات"
}
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}
DELETE
/v1/projects/{projectId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer JWT obtained after Google sign-in in the portal.

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "error": "validation failed",
  "request_id": "01J9Z3K8QWERTYUIOP"
}